[Forgot Password]
Login  Register Subscribe

23631

 
 

115083

 
 

97147

 
 

909

 
 

78730

 
 

109

Paid content will be excluded from the download.


Download | Alert*
OVAL

Memory leak vulnerability in OpenSSL via incorrect calls

ID: oval:org.secpod.oval:def:20047Date: (C)2014-07-01   (M)2017-09-22
Class: VULNERABILITYFamily: windows




The host is installed with OpenSSL 0.9.8l and earlier and is prone to memory leak vulnerability. A flaw is present in crypto/comp/c_zlib.c, which fails to properly handle vectors that trigger incorrect calls to the CRYPTO_cleanup_all_ex_data function, as demonstrated by use of SSLv3 and PHP with the Apache HTTP Server. Successful exploitation could allow remote attackers to cause a denial of service.

Platform:
Microsoft Windows 2000
Microsoft Windows 7
Microsoft Windows Server 2003
Microsoft Windows Server 2008
Microsoft Windows Vista
Microsoft Windows XP
Microsoft Windows 8
Microsoft Windows Server 2008 R2
Microsoft Windows Server 2012
Microsoft Windows 8.1
Microsoft Windows Server 2012 R2
Microsoft Windows 10
Product:
OpenSSL
Reference:
CVE-2009-4355
CVE    1
CVE-2009-4355
CPE    72
cpe:/a:openssl:openssl:0.x::x86
cpe:/a:openssl:openssl:0.x::x64
cpe:/a:openssl:openssl:::x64
cpe:/a:openssl:openssl:::x86
...

© 2013 SecPod Technologies